Page MenuHomePhabricator

Read only time for extension 1 (x1) primary database on 2020-04-30
Closed, ResolvedPublic

Description

x1 primary database needs to be restarted - technical task: T250701
During the restart time (expected to be around 60 seconds or so) all the components and extensions that use this cluster will be read-only.
Things that might experience some issues when creating new writes:

  • New new short urls cannot be created
  • Email bounces from lists might not get recorded
  • There might be issues with new translations
  • New items on the notification list might fail
  • Reading lists might not record new items added to "bookmark" or "read it later" feature

Impact: x1 will be on read-only for around 1 minute. Writes will not go through but reads will remain unaffected
When: Thursday 30th April at 05:00 AM UTC

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2020, 5:54 PM
Aklapper renamed this task from Read only time for extension 1 (x1) to Read only time for extension 1 (x1) primary database on 2020-04-30.Apr 21 2020, 4:24 AM
Trizek-WMF triaged this task as High priority.Apr 22 2020, 1:00 PM

Awareness of this event will be done using:

  • a mass message to community places that receive Tech News (no Tech news issue this week)
  • a banner, displayed starting 30 minutes before the deployment.

Translations have been requested both for the banner and the message.

First reminder sent.

Last reminder sent.

Omotecho added a subscriber: Omotecho.EditedApr 29 2020, 3:34 PM

@Trizek, Hi, came from jawiki, where do you have the list of those projects affected? Does “primary database” refer to whatever wikimedia server hosts? I wish to convey to Japanese speakers on wikipedia if I may.

Hi @Omotecho

The two most important things that may fail are Notifications and Translations. This affects all wikis.

I don't have a lot of technical details. Please see and ask on T250701 for all technical details.

OK, @Trizek, then ping me if you need me to update Phab link to T250701 in jawiki announcement please.

Trizek-WMF removed a subscriber: Trizek.Apr 29 2020, 3:44 PM
Marostegui closed this task as Resolved.Apr 30 2020, 5:08 AM

This was done.
The server was unaccessible from 05:00:41 to 05:02:02

The timings displayed on the wiki websites for maintenance should be in GMT and not UTC. I know it is virtually the same thing, but many get confused.

Further, maybe it can be displayed as local time by some means (through IP or elsewise)

Ovedc added a subscriber: Ovedc.Apr 30 2020, 5:33 AM

Will you please stop the notifications, if the task completed!

TheDJ added a subscriber: TheDJ.Apr 30 2020, 7:27 AM

should be in GMT and not UTC.

Why ? We never use GMT do we ?

should be in GMT and not UTC.

Why ? We never use GMT do we ?

GMT and UTC are the exact same time.

Will you please stop the notifications, if the task completed!

The banner automatically ended once the maint window closed. Please ensure your remain polite on Phabricator.